
From: Jeff Dike <jdike@addtoit.com>

From: Bodo Stroesser

__pgd_alloc is defined differently. In include/linux/mm.h it's defined
   extern pgd_t fastcall *__pgd_alloc( ...
In arch/um/kernel/mem.c it's defined
   pgd_t *__pgd_alloc( ...
Thus, I unified this. Hope, it's correct now.

Signed-off-by: Bodo Stroesser <bstroesser@fujitsu-siemens.com>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/kernel/mem.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/um/kernel/mem.c~uml-fix-__pgd_alloc-declaration arch/um/kernel/mem.c
--- 25/arch/um/kernel/mem.c~uml-fix-__pgd_alloc-declaration	Fri Dec  3 13:50:33 2004
+++ 25-akpm/arch/um/kernel/mem.c	Fri Dec  3 13:50:33 2004
@@ -309,7 +309,7 @@ void show_mem(void)
  * Allocate and free page tables.
  */
 
-pgd_t *__pgd_alloc(struct mm_struct *mm, pml4_t *pml4, unsigned long address)
+pgd_t fastcall *__pgd_alloc(struct mm_struct *mm, pml4_t *pml4, unsigned long address)
 {
 	pgd_t *pgd = (pgd_t *)__get_free_page(GFP_KERNEL);
 
_
